#
#       $Torped: IEMethod.py,v 0.0.5 1999/10/24 11:58:00 johanc Exp $
#
# Copyright (c) 1999 Torped Strategi och Kommunikation AB.
# All rights reserved. Written by Johan Carlsson <johanc@torped.se>
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. The name of the author may not be used to endorse or promote products
#    derived from this software without specific prior written permission
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

__doc__="""IEMethod Object

$Torped: IEMethod.py,v 0.0.5 1999/10/24 11:58:00 johanc Exp $"""
__version__='$Revision: 0.0.5 $'[11:-2]


import Globals
from Globals import HTML, HTMLFile, Persistent
from string import join,split
from OFS.DTMLMethod import DTMLMethod
import Acquisition
import AccessControl

from ImageFile import ImageFile
from JavaScriptFile import JavaScriptFile
from CSSFile import CSSFile

from htmlentitydefs import entitydefs
from string import replace
from Shared.Torped.HTMLEntity import htmlconverterbase


done='done'


class IEMethod(DTMLMethod,htmlconverterbase):
        """A IEMethod Object """

        meta_type='IEMethod'
        title = 'IEMethod Object'
        
        icon = 'misc_/IEMethod/IEMethod'
        misc = 'misc_/IEMethod'
        
        
        #self._setObject('Bold.gif', ImageFile('IMAGES/BOLD.GIF', globals()))        
        #self._setObject('ITALIC.GIF', ImageFile('IMAGES/ITALIC.GIF', globals()))        
        #self._setObject('LEFT.GIF', ImageFile('IMAGES/LEFT.GIF', globals()))        
        #self._setObject('CENTER.GIF', ImageFile('IMAGES/CENTER.GIF', globals()))        
        #self._setObject('RIGHT.GIF', ImageFile('IMAGES/RIGHT.GIF', globals()))        
        #self._setObject('COPY.GIF', ImageFile('IMAGES/COPY.GIF', globals()))        
        #self._setObject('PASTE.GIF', ImageFile('IMAGES/PASTE.GIF', globals()))        
        #self._setObject('CUT.GIF', ImageFile('IMAGES/CUT.GIF', globals()))        
        #self._setObject('FIND.GIF', ImageFile('IMAGES/FIND.GIF', globals()))        
        #self._setObject('LINK.GIF', ImageFile('IMAGES/LINK.GIF', globals()))        
        #self._setObject('IMAGE.GIF', ImageFile('IMAGES/IMAGE.GIF', globals()))        
        #self._setObject('ININDENT.GIF', ImageFile('IMAGES/ININDENT.GIF', globals()))        
        #self._setObject('DEINDENT.GIF', ImageFile('IMAGES/DEINDENT.GIF', globals()))        
        #self._setObject('NUMLIST.GIF', ImageFile('IMAGES/NUMLIST.GIF', globals()))
        #self._setObject('BULLIST.GIF', ImageFile('IMAGES/BULLIST.GIF', globals()))
        #self._setObject('CLOSE.GIF', ImageFile('IMAGES/CLOSE.GIF', globals()))
        #self._setObject('HTML.GIF', ImageFile('IMAGES/HTML.GIF', globals()))
        #self._setObject('button_seperator.gif', ImageFile('IMAGES/button_seperator.gif', globals()))
        #zie_js = JavaScriptFile('zie.js', globals())
        #zie_css = CSSFile('zie.css', globals())
        #lang_en = JavaScriptFile('lang/en.js', globals())
        #lang_sv = JavaScriptFile('lang/sv.js', globals())
                 
        
        _properties=(
                     {'id':'title', 'type': 'string'},
                    )

        manage_options=({'label':'Edit', 'action':'manage_main'},
                        {'label':'Upload', 'action':'manage_uploadForm'},
                        {'label':'View', 'action':''},
                        {'label':'Editor', 'action':'manage_editor'},
                        {'label':'Proxy', 'action':'manage_proxyForm'},
                        {'label':'Security', 'action':'manage_access'},
                       )
                       
                       
        __ac_permissions__=(
        ('View management screens',
         ('manage_editForm', 'manage', 'manage_main', 'manage_uploadForm',
          'document_src', 'PrincipiaSearchSource', 'manage_editor','genMove')),
        ('Change DTML Methods',     ('manage_edit', 'manage_upload', 'PUT')),
        ('Change proxy roles', ('manage_proxyForm', 'manage_proxy')),
        ('View', ('__call__', '')),
        ('FTP access', ('manage_FTPstat','manage_FTPget','manage_FTPlist')),
        )

        def __init__(self, file, __name__='<IE Method>', **kw):
            DTMLMethod.__init__(self,source_string=file,__name__=__name__,vars=kw)
            reversentitydefs = {}
            for entity in entitydefs.keys():
                if entity!='lt' and entity!='gt' and entity!='amp' and entity!='quot':
                    reversentitydefs[entitydefs[entity]] = "&" + entity + ";"
            self.reversentitydefs = reversentitydefs
            
        manage_editor = HTMLFile('zie', globals())

        
        def index_html(self,client=None, REQUEST={}, RESPONSE=None, **kw):
            """Index HTML"""
            result = DTMLMethod.__call__(self,client=client,REQUEST=REQUEST,RESPONSE=RESPONSE,kw=kw)
            return self.ISO88591_to_HTML(result)
        

Globals.default__class_init__(IEMethod)        
        
        
addIEMethodForm=HTMLFile('addIEMethodForm', globals())

def addIEMethod(self, id, title='', REQUEST=None):
    """addTDocument"""
    
    if hasattr(self,'ie_default'):
        ie_d = self.ie_default 
        if callable(ie_d): file = ie_d(REQUEST=REQUEST)
        else: file = ie_d
    else:
        file=""
    ob=IEMethod(file, __name__=id)
    ob.title=title
    self._setObject(id, ob)
    if REQUEST is not None:
        REQUEST.RESPONSE.redirect('manage_main')
    return ''

    #if REQUEST is not None:
    #    return self.manage_main(self,REQUEST)


