"""JavaScript object that is stored in a file"""

__version__='$Revision: 0.1 $'[11:-2]

from OFS.content_types import guess_content_type
from Globals import package_home
from App.Common import rfc1123_date
from string import rfind, split
from DateTime import DateTime
from time import time
from os import stat
import Acquisition
import string


class JavaScriptFile(Acquisition.Explicit):
    """JavaScript objects stored in external files."""

    def __init__(self,path,_prefix=None):
        if _prefix is None: _prefix=SOFTWARE_HOME
        elif type(_prefix) is not type(''):
            _prefix=package_home(_prefix)
        path='%s/%s' % (_prefix, path)
        self.path=path

        file=open(path, 'rb')
        data=file.read()
        file.close()
        self.content_type='text/javascript'
        self.__name__=path[rfind(path,'/')+1:]
        self.lmt=float(stat(path)[8]) or time()
        self.lmh=rfc1123_date(self.lmt)


    def index_html(self, REQUEST, RESPONSE):
        """Default document"""
        RESPONSE.setHeader('Content-Type', self.content_type)
        f=open(self.path,'rb')
        data=f.read()
        f.close()
        return data

    HEAD__roles__=None
    def HEAD(self, REQUEST, RESPONSE):
        """ """
        RESPONSE.setHeader('Content-Type', self.content_type)
        RESPONSE.setHeader('Last-Modified', self.lmh)
        return ''

    def __len__(self):
        # This is bogus and needed because of the way Python tests truth.
        return 1 

    def __str__(self):
        return '<SCRIPT SRC="%s" TYPE="text/javascript"></SCRIPT>' % (self.__name__) 

