#
#       $Torped: __init__.py,v 0.0.5 1999/10/24 11:58:00 johanc Exp $
#
# Copyright (c) 1999 Torped Strategi och Kommunikation AB.
# All rights reserved. Written by Johan Carlsson <johanc@torped.se>
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. The name of the author may not be used to endorse or promote products
#    derived from this software without specific prior written permission
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

__doc__='''IEMethod subsystem
$Id: __init__.py,v 0.0.5 1999/10/24 11:58:00 johanc Exp $'''
__version__='$Revision: 0.0.5 $'[11:-2]



from ImageFile import ImageFile
from JavaScriptFile import JavaScriptFile
from CSSFile import CSSFile


import IEMethod


# Names of objects added by TDocument:
meta_types=(
    {
     'name': 'IEMethod',               # The name of the object type
     'action': 'manage_addIEMethodForm', # The method to add one.     
     },
     
    )

# Attributes (usually "methods") to be added to folders to support
# creating objects:
methods={
    'manage_addIEMethodForm': IEMethod.addIEMethodForm,
    'manage_addIEMethod':     IEMethod.addIEMethod,
    }

# Permission to be added to folders:
__ac_permissions__=(
    ('Add IEMethod',
     ('manage_addIEMethodForm', 'manage_addIEMethod')),
    ('Change IEMethod', ()),
    ('View IEMethod', ()),
    )

    
misc_={
    'IEMethod':     ImageFile('IEMethod.gif',   globals()),
    'Bold.gif':      ImageFile('IMAGES/BOLD.GIF',   globals()),
    'Italic.gif':      ImageFile('IMAGES/ITALIC.GIF',   globals()),
    'Left.gif':      ImageFile('IMAGES/LEFT.GIF',   globals()),
    'Center.gif':      ImageFile('IMAGES/CENTER.GIF',   globals()),
    'Right.gif':      ImageFile('IMAGES/RIGHT.GIF',   globals()),
    'Copy.gif':      ImageFile('IMAGES/COPY.GIF',   globals()),
    'Paste.gif':      ImageFile('IMAGES/PASTE.GIF',   globals()),
    'Cut.gif':      ImageFile('IMAGES/CUT.GIF',   globals()),
    'Find.gif':      ImageFile('IMAGES/FIND.GIF',   globals()),
    'Link.gif':      ImageFile('IMAGES/LINK.GIF',   globals()),
    'Image.gif':      ImageFile('IMAGES/IMAGE.GIF',   globals()),
    'Inindent.gif':      ImageFile('IMAGES/ININDENT.GIF',   globals()),
    'Deindent.gif':      ImageFile('IMAGES/DEINDENT.GIF',   globals()),
    'Numlist.gif':      ImageFile('IMAGES/NUMLIST.GIF',   globals()),
    'Bullist.gif':      ImageFile('IMAGES/BULLIST.GIF',   globals()),
    'Close.gif':      ImageFile('IMAGES/CLOSE.GIF',   globals()),
    'HTML.gif':      ImageFile('IMAGES/HTML.GIF',   globals()),
    'button_seperator.gif':      ImageFile('IMAGES/button_seperator.gif',   globals()),
    'zie_js':      JavaScriptFile('zie.js',   globals()),
    'zie_css':     CSSFile('zie.css',   globals()),
    'lang_en':      JavaScriptFile('lang/en.js',   globals()),
    'lang_sv':      JavaScriptFile('lang/sv.js',   globals()),
        
    }
